Bug 704416 - RFE: automounter to dump maps
Summary: RFE: automounter to dump maps
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: autofs
Version: 6.0
Hardware: All
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Ian Kent
QA Contact: yanfu,wang
URL:
Whiteboard:
Depends On: 538408
Blocks: 732334
TreeView+ depends on / blocked
 
Reported: 2011-05-13 04:33 UTC by Ian Kent
Modified: 2011-12-06 17:58 UTC (History)
6 users (show)

Fixed In Version: autofs-5.0.5-37
Doc Type: Enhancement
Doc Text:
Clone Of: 538408
: 732334 (view as bug list)
Environment:
Last Closed: 2011-12-06 17:58:44 UTC
Target Upstream Version:


Attachments (Terms of Use)
Patch - add dump maps option (9.21 KB, patch)
2011-08-07 02:59 UTC, Ian Kent
no flags Details | Diff
Patch - fix dumpmaps not reading maps (1.28 KB, patch)
2011-08-07 03:00 UTC, Ian Kent
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:1723 normal SHIPPED_LIVE autofs bug fix and enhancement update 2011-12-06 01:02:10 UTC

Comment 1 Ian Kent 2011-08-07 02:59:42 UTC
Created attachment 517026 [details]
Patch - add dump maps option

Comment 2 Ian Kent 2011-08-07 03:00:58 UTC
Created attachment 517027 [details]
Patch - fix dumpmaps not reading maps

Comment 4 yanfu,wang 2011-10-10 10:27:58 UTC
verified on autofs-5.0.5-39.el6:
[root@intel-s3e37-01 bugzillas]# /etc/init.d/autofs status
automount (pid  37220) is running...
[root@intel-s3e37-01 bugzillas]# automount -m

autofs dump map information
===========================

global options: none configured

Mount point: /misc

source(s):

  instance type(s): file 
  map: /etc/auto.misc

  cd | -fstype=iso9660,ro,nosuid,nodev	:/dev/cdrom


Mount point: /net

source(s):

  type: hosts

  localhost | (null)


Mount point: /mnt

source(s):

  instance type(s): file 
  map: /etc/auto.test

  tmp | hp-xw4550-01.rhts.eng.bos.redhat.com:/tmp

[root@intel-s3e37-01 bugzillas]# automount --dumpmaps

autofs dump map information
===========================

global options: none configured

Mount point: /misc

source(s):

  instance type(s): file 
  map: /etc/auto.misc

  cd | -fstype=iso9660,ro,nosuid,nodev	:/dev/cdrom


Mount point: /net

source(s):

  type: hosts

  localhost | (null)


Mount point: /mnt

source(s):

  instance type(s): file 
  map: /etc/auto.test

  tmp | hp-xw4550-01.rhts.eng.bos.redhat.com:/tmp

Comment 5 errata-xmlrpc 2011-12-06 17:58:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2011-1723.html


Note You need to log in before you can comment on or make changes to this bug.